#!/bin/bash
HighTemp=280
LowTemp=150
###
# 初期設定
#
LogFile=`dirname $0`
LogFile="${LogFile}/BMP085.log"
LogFile="/tmp/BMP085.log"
#echo $LogFile

LockFile=`dirname $0`
LockFile="${LockFile}/AirCon.lock"
#echo $LockFile

###
# 起動パラメータのチェック
#
# Gpio1:エアコン制御のためのGPIOポート
#
if [ $# -eq 0 ]; then
	Gpio1=22
fi
if [ $# -eq 1 ]; then
	Gpio1=$1
fi

###
# BMP085から温度を取得
#
ProgName=`dirname $0`
ProgName="${ProgName}/readBMP085 -T"
Temp=`sudo $ProgName`

###
# リモコン制御プログラム
#
ProgName=`dirname $0`
ProgName="${ProgName}/led ${Gpio1} 1"
#echo ${ProgName}

#echo $Temp
if [ $Temp -gt $HighTemp ]; then
###
# 室温が高いのでエアコンを開始(冷房運転)
#
    if [ ! -f $LockFile ]; then
        sudo $ProgName
        touch $LockFile
    fi
fi

if [ $Temp -le $HighTemp -a $Temp -ge $LowTemp ]; then
###
# エアコンを停止
#
    if [ -f $LockFile ]; then
        sudo $ProgName
        rm $LockFile
    fi
fi

if [ $Temp -lt $LowTemp ]; then
###
# 室温が低いのでエアコンを開始(暖房運転)
#
    if [ ! -f $LockFile ]; then
        sudo $ProgName
        touch $LockFile
    fi
fi

###
# ログを記録
#
#Record=`date +"%Y/%m/%d,%I:%M:%S"`
Record=`date +"%Y/%m/%d,%T"`
Record="${Record},`echo ${Temp} | cut -c 1-2`.`echo ${Temp} | cut -c 3`"
#echo "Record=${Record}"
echo ${Record} >> $LogFile

