/* 
 * LEDを点滅する
 * 
 * 使用ライブラリ: wiringPi
 * コンパイル方法: cc -o led led.c -lwiringPi
 */
#include <wiringPi.h>
#include <stdio.h>
#include <stdlib.h>

#define DEBUG 0

int main (int argc, char **argv) {
	int i;
	int led_port;
	int led_cont;

	if (argc != 3) {
		printf("Usage:led GPIO# LoopCounter\n");
		exit(0);
	}
	led_port=atoi(argv[1]);
	led_cont=atoi(argv[2]);
if(DEBUG)printf("led_port=%d,led_cont=%d\n",led_port,led_cont);

	//初期化
	if(wiringPiSetupGpio() == -1) return 1;
	pinMode(led_port, OUTPUT);

	for (i=0; i<led_cont; i++) {
		//LED ON
		digitalWrite(led_port, 1);
		delay(500);

		//LED OFF
		digitalWrite(led_port, 0);
		delay(500);
	}

	return 0;
}
